# Generated by Django 3.1.5 on 2022-04-10 12:20

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('tourism', '0013_auto_20220316_2250'),
    ]

    operations = [
        migrations.AlterField(
            model_name='route',
            name='description',
            field=models.TextField(max_length=1000, verbose_name='Описание'),
        ),
        migrations.CreateModel(
            name='Place',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200, verbose_name='Название')),
                ('short_description', models.TextField(max_length=1000, verbose_name='Краткое описание')),
                ('description', models.TextField(max_length=10000, verbose_name='Описание')),
                ('location_latitude', models.FloatField(blank=True, default=0, null=True, verbose_name='Широта')),
                ('location_longitude', models.FloatField(blank=True, default=0, null=True, verbose_name='Долгота')),
                ('country', models.CharField(blank=True, max_length=200, null=True, verbose_name='Страна')),
                ('city', models.CharField(blank=True, max_length=200, null=True, verbose_name='Город')),
                ('image', models.CharField(blank=True, max_length=100, null=True, verbose_name='Идентификатор картинки')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Создано')),
                ('created_by', models.CharField(max_length=100, verbose_name='Кто добавил?')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Изменено')),
                ('region', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='tourism.region', verbose_name='Область')),
            ],
            options={
                'verbose_name': 'Место',
                'verbose_name_plural': 'Места',
                'ordering': ['name'],
            },
        ),
    ]
